<?php
/**
 * Mageplaza_SocialLogin extension
 *                     NOTICE OF LICENSE
 *
 *                     This source file is subject to the MIT License
 *                     that is bundled with this package in the file LICENSE.txt.
 *                     It is also available through the world-wide-web at this URL:
 *                     http://opensource.org/licenses/mit-license.php
 *
 * @category  Mageplaza
 * @package   Mageplaza_SocialLogin
 * @copyright Copyright (c) 2016
 * @license   http://opensource.org/licenses/mit-license.php MIT License
 */
?>
<div class="social-login block-container create" style="display: none">
    <div class="social-login-title">
        <h2 class="create-account-title">
            <?php echo __('Create New Account') ?>
        </h2>
    </div>
    <div class="block col-mg mg-12">
        <div class="block-content">
            <?php echo $block->getChildHtml('form_fields_before') ?>
            <?php /* Extensions placeholder */ ?>
            <?php echo $block->getChildHtml('customer.form.register.extra') ?>
            <form class="form-customer-create"
                  id="social-form-create" enctype="multipart/form-data"
                  autocomplete="off">
                <fieldset class="fieldset create info">
                    <input type="hidden" name="success_url" value="<?php /* @escapeNotVerified */
                    echo $block->getSuccessUrl() ?>">
                    <input type="hidden" name="error_url" value="<?php /* @escapeNotVerified */
                    echo $block->getErrorUrl() ?>">
                    <?php echo $block->getLayout()->createBlock('Magento\Customer\Block\Widget\Name')->setObject($block->getFormData())->setForceUseCustomerAttributes(true)->toHtml() ?>
                    <div class="field required">
                        <label for="email_address" class="label"><span><?php /* @escapeNotVerified */
                                echo __('Email') ?></span></label>

                        <div class="control">
                            <input type="email" name="email" id="email_address"
                                   value="<?php echo $block->escapeHtml($block->getFormData()->getEmail()) ?>"
                                   title="<?php /* @escapeNotVerified */
                                   echo __('Email') ?>" class="input-text"
                                   data-validate="{required:true, 'validate-email':true}">
                        </div>
                    </div>
                    <?php if ($block->isNewsletterEnabled()): ?>
                        <div class="field choice newsletter">
                            <input type="checkbox" name="is_subscribed" title="<?php /* @escapeNotVerified */
                            echo __('Sign Up for Newsletter') ?>" value="1"
                                   id="is_subscribed"<?php if ($block->getFormData()->getIsSubscribed()): ?> checked="checked"<?php endif; ?>
                                   class="checkbox">
                            <label for="is_subscribed" class="label"><span><?php /* @escapeNotVerified */
                                    echo __('Sign Up for Newsletter') ?></span></label>
                        </div>
                        <?php /* Extensions placeholder */ ?>
                        <?php echo $block->getChildHtml('customer.form.register.newsletter') ?>
                    <?php endif ?>

                    <?php $_dob = $block->getLayout()->createBlock('Magento\Customer\Block\Widget\Dob') ?>
                    <?php if ($_dob->isEnabled()): ?>
                        <?php echo $_dob->setDate($block->getFormData()->getDob())->toHtml() ?>
                    <?php endif ?>

                    <?php $_taxvat = $block->getLayout()->createBlock('Magento\Customer\Block\Widget\Taxvat') ?>
                    <?php if ($_taxvat->isEnabled()): ?>
                        <?php echo $_taxvat->setTaxvat($block->getFormData()->getTaxvat())->toHtml() ?>
                    <?php endif ?>

                    <?php $_gender = $block->getLayout()->createBlock('Magento\Customer\Block\Widget\Gender') ?>
                    <?php if ($_gender->isEnabled()): ?>
                        <?php echo $_gender->setGender($block->getFormData()->getGender())->toHtml() ?>
                    <?php endif ?>
                </fieldset>
                <?php if ($block->getShowAddressFields()): ?>
                    <fieldset class="fieldset address">
                        <legend class="legend"><span><?php /* @escapeNotVerified */
                                echo __('Address Information') ?></span></legend>
                        <br>
                        <input type="hidden" name="create_address" value="1"/>

                        <div class="field company">
                            <label for="company" class="label"><span><?php /* @escapeNotVerified */
                                    echo __('Company') ?></span></label>

                            <div class="control">
                                <input type="text" name="company" id="company"
                                       value="<?php echo $block->escapeHtml($block->getFormData()->getCompany()) ?>"
                                       title="<?php /* @escapeNotVerified */
                                       echo __('Company') ?>" class="input-text <?php /* @escapeNotVerified */
                                echo $this->helper('Magento\Customer\Helper\Address')->getAttributeValidationClass('company') ?>">
                            </div>
                        </div>
                        <div class="field telephone">
                            <label for="telephone" class="label"><span><?php /* @escapeNotVerified */
                                    echo __('Phone Number') ?></span></label>

                            <div class="control">
                                <input type="text" name="telephone" id="telephone"
                                       value="<?php echo $block->escapeHtml($block->getFormData()->getTelephone()) ?>"
                                       title="<?php /* @escapeNotVerified */
                                       echo __('Phone Number') ?>" class="input-text <?php /* @escapeNotVerified */
                                echo $this->helper('Magento\Customer\Helper\Address')->getAttributeValidationClass('telephone') ?>">
                            </div>
                        </div>

                        <?php $_streetValidationClass = $this->helper('Magento\Customer\Helper\Address')->getAttributeValidationClass('street'); ?>

                        <div class="field street required">
                            <label for="street_1" class="label"><span><?php /* @escapeNotVerified */
                                    echo __('Street Address') ?></span></label>

                            <div class="control">
                                <input type="text" name="street[]"
                                       value="<?php echo $block->escapeHtml($block->getFormData()->getStreet(0)) ?>"
                                       title="<?php /* @escapeNotVerified */
                                       echo __('Street Address') ?>" id="street_1"
                                       class="input-text <?php /* @escapeNotVerified */
                                       echo $_streetValidationClass ?>">

                                <div class="nested">
                                    <?php $_streetValidationClass = trim(str_replace('required-entry', '', $_streetValidationClass)); ?>
                                    <?php for ($_i = 2, $_n = $this->helper('Magento\Customer\Helper\Address')->getStreetLines(); $_i <= $_n; $_i++): ?>
                                        <div class="field additional">
                                            <label class="label" for="street_<?php /* @escapeNotVerified */
                                            echo $_i ?>">
                                                <span><?php /* @escapeNotVerified */
                                                    echo __('Address') ?></span>
                                            </label>

                                            <div class="control">
                                                <input type="text" name="street[]"
                                                       value="<?php echo $block->escapeHtml($block->getFormData()->getStreetLine($_i - 1)) ?>"
                                                       title="<?php /* @escapeNotVerified */
                                                       echo __('Street Address %1', $_i) ?>"
                                                       id="street_<?php /* @escapeNotVerified */
                                                       echo $_i ?>" class="input-text <?php /* @escapeNotVerified */
                                                echo $_streetValidationClass ?>">
                                            </div>
                                        </div>
                                    <?php endfor; ?>
                                </div>
                            </div>
                        </div>

                        <div class="field required">
                            <label for="city" class="label"><span><?php /* @escapeNotVerified */
                                    echo __('City') ?></span></label>

                            <div class="control">
                                <input type="text" name="city"
                                       value="<?php echo $block->escapeHtml($block->getFormData()->getCity()) ?>"
                                       title="<?php /* @escapeNotVerified */
                                       echo __('City') ?>" class="input-text <?php /* @escapeNotVerified */
                                echo $this->helper('Magento\Customer\Helper\Address')->getAttributeValidationClass('city') ?>"
                                       id="city">
                            </div>
                        </div>

                        <div class="field region required">
                            <label for="region_id" class="label"><span><?php /* @escapeNotVerified */
                                    echo __('State/Province') ?></span></label>

                            <div class="control">
                                <select id="region_id" name="region_id" title="<?php /* @escapeNotVerified */
                                echo __('State/Province') ?>" class="validate-select" style="display:none;">
                                    <option value=""><?php /* @escapeNotVerified */
                                        echo __('Please select a region, state or province.') ?></option>
                                </select>
                                <input type="text" id="region" name="region"
                                       value="<?php echo $block->escapeHtml($block->getRegion()) ?>"
                                       title="<?php /* @escapeNotVerified */
                                       echo __('State/Province') ?>" class="input-text <?php /* @escapeNotVerified */
                                echo $this->helper('Magento\Customer\Helper\Address')->getAttributeValidationClass('region') ?>"
                                       style="display:none;">
                            </div>
                        </div>

                        <div class="field zip required">
                            <label for="zip" class="label"><span><?php /* @escapeNotVerified */
                                    echo __('Zip/Postal Code') ?></span></label>

                            <div class="control">
                                <input type="text" name="postcode"
                                       value="<?php echo $block->escapeHtml($block->getFormData()->getPostcode()) ?>"
                                       title="<?php /* @escapeNotVerified */
                                       echo __('Zip/Postal Code') ?>" id="zip"
                                       class="input-text validate-zip-international <?php /* @escapeNotVerified */
                                       echo $this->helper('Magento\Customer\Helper\Address')->getAttributeValidationClass('postcode') ?>">
                            </div>
                        </div>

                        <div class="field country required">
                            <label for="country" class="label"><span><?php /* @escapeNotVerified */
                                    echo __('Country') ?></span></label>

                            <div class="control">
                                <?php echo $block->getCountryHtmlSelect() ?>
                            </div>
                        </div>
                        <?php $addressAttributes = $block->getChildBlock('customer_form_address_user_attributes'); ?>
                        <?php if ($addressAttributes): ?>
                            <?php $addressAttributes->setEntityType('customer_address'); ?>
                            <?php $addressAttributes->setFieldIdFormat('address:%1$s')->setFieldNameFormat('address[%1$s]'); ?>
                            <?php $block->restoreSessionData($addressAttributes->getMetadataForm(), 'address'); ?>
                            <?php echo $addressAttributes->setShowContainer(false)->toHtml() ?>
                        <?php endif; ?>
                        <input type="hidden" name="default_billing" value="1">
                        <input type="hidden" name="default_shipping" value="1">
                    </fieldset>

                <?php endif; ?>
                <fieldset class="fieldset create account" data-hasrequired="<?php /* @escapeNotVerified */
                echo __('* Required Fields') ?>">
                    <div class="field password required">
                        <label for="password" class="label"><span><?php /* @escapeNotVerified */
                                echo __('Password') ?></span></label>

                        <div class="control">
                            <input type="password" name="password" id="password-social" title="<?php /* @escapeNotVerified */
                            echo __('Password') ?>" class="input-text"
                                   data-validate="{required:true, 'validate-password':true}" autocomplete="off">
                        </div>
                    </div>
                    <div class="field confirmation required">
                        <label for="password-confirmation" class="label"><span><?php /* @escapeNotVerified */
                                echo __('Confirm Password') ?></span></label>

                        <div class="control">
                            <input type="password" name="password_confirmation" title="<?php /* @escapeNotVerified */
                            echo __('Confirm Password') ?>" id="password-confirmation-social" class="input-text"
                                   data-validate="{required:true, equalTo:'#password-social'}" autocomplete="off">
                        </div>
                    </div>
                    <?php echo $block->getChildHtml('form_additional_info'); ?>
                    <?php echo $block->getChildHtml('create.captcha'); ?>
                </fieldset>
                <div class="actions-toolbar">
                    <div class="primary">
                        <button type="button" class="action create primary" title="<?php /* @escapeNotVerified */
                        echo __('Create an Account') ?>"><span><?php /* @escapeNotVerified */
                                echo __('Create an Account') ?></span></button>
                    </div>
                    <div class="secondary">
                        <a class="action back"
                           href="#"><span><?php /* @escapeNotVerified */
                                echo __('Back') ?></span></a>
                    </div>
                </div>
            </form>
          
            <?php if ($block->getShowAddressFields()): ?>
                <script type="text/x-magento-init">
    {
        "#country": {
            "regionUpdater": {
                "optionalRegionAllowed": <?php /* @escapeNotVerified */
                    echo($block->getConfig('general/region/display_all') ? 'true' : 'false'); ?>,
                "regionListId": "#region_id",
                "regionInputId": "#region",
                "postcodeId": "#zip",
                "form": "#form-validate",
                "regionJson": <?php /* @escapeNotVerified */
                    echo $this->helper('Magento\Directory\Helper\Data')->getRegionJson() ?>,
                "defaultRegion": "<?php /* @escapeNotVerified */
                    echo $block->getFormData()->getRegionId() ?>",
                "countriesWithOptionalZip": <?php /* @escapeNotVerified */
                    echo $this->helper('Magento\Directory\Helper\Data')->getCountriesWithOptionalZip(true) ?>
            }
        }
    }



                </script>
            <?php endif; ?>
        </div>
    </div>
</div>
